import request from '@/utils/request'

// 查询免疫列表
export function listImmunity(query) {
  return request({
    url: '/biosafety/immunity/list',
    method: 'get',
    params: query
  })
}

// 查询免疫详细
export function getImmunity(id) {
  return request({
    url: '/biosafety/immunity/' + id,
    method: 'get'
  })
}

// 新增免疫
export function addImmunity(data) {
  return request({
    url: '/biosafety/immunity',
    method: 'post',
    data: data
  })
}

// 修改免疫
export function updateImmunity(data) {
  return request({
    url: '/biosafety/immunity',
    method: 'put',
    data: data
  })
}

// 删除免疫
export function delImmunity(id) {
  return request({
    url: '/biosafety/immunity/' + id,
    method: 'delete'
  })
}
